import { FormRoute, Route, RouterService } from '@lightweightform/core';
export declare class TreeEntryComponent {
    routerService: RouterService;
    parentURI: string;
    routes: Record<string, Route> | null;
    value: object | null;
    constructor(routerService: RouterService);
    readonly formRoutes: FormRoute[];
    readonly optionalForms: FormRoute[];
    navigateTo(evt: any, formRoute: FormRoute): void;
    addForm(formRoute: FormRoute): void;
    getURI(formRoute: FormRoute): string;
    valueOf(formRoute: FormRoute): object;
    showForm(formRoute: FormRoute): boolean;
    isActive(formRoute: FormRoute): boolean;
    showSubForms(formRoute: FormRoute, formRoutes: object): boolean;
    hasSubForms(formRoutes: object): boolean;
    hasActiveSubForms(formRoute: FormRoute): boolean;
}
